=== debian/changelog ===
ensembl (63-1) experimental; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 13 Jul 2011 16:14:11 +0200

ensembl (62-2~ubuntu1) lucid; urgency=low

  * Fixed -B build for buildds

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 May 2011 19:46:34 +0200

ensembl (62-1ubuntu1) lucid; urgency=low

  * Uploading to Debian PPA

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 May 2011 19:10:49 +0200

ensembl (62-1) experimental; urgency=low

  * Updated to Ensembl version 62
  * Added Madhu and William to uploaders (Steffen)
  * Updated policy to 3.9.2

 -- Madhu Donepudi <madhu@eaglegenomics.com>  Tue, 19 Apr 2011 06:32:48 -0400

ensembl (57-7) experimental; urgency=low

  * Adding sources of version 2.6.1 for Jalview
    to help GPL compliance.
  * Reupload (Closes: #589818).

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Feb 2011 15:07:58 +0100

ensembl (57-6) UNRELEASED; urgency=low

  * Yet another revised upload.
    - removal of PDFs from source tree
    - removal of .jar of BuildSynteny
  * Another jar (of jalview) cannot be removed for the moment and
    thus remains and renders the package non-free. But we are working
    on getting Jalview into the distribution. This cannot take too
    much longer.

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Feb 2011 16:37:34 +0100

ensembl (57-5) UNRELEASED; urgency=low

  * Finalising postinst.
  * Revised initial upload.

 -- Richard Holland <holland@eaglegenomics.com>  Tue, 01 Feb 2011 22:36:09 +0100

ensembl (57-4) UNRELEASED; urgency=low

  * Initial upload
  * More steps towards lintian cleanliness.

 -- Richard Holland <holland@eaglegenomics.com>  Wed, 29 Sep 2010 00:07:28 +0200

ensembl (57-3) UNRELEASED; urgency=low

  * Bag of improvements to support configuration.

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Sep 2010 19:22:52 +0200

ensembl (57-2) UNRELEASED; urgency=low

  * Split packaging in many smaller packages.

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Aug 2010 19:44:09 +0200

ensembl (57-1) UNRELEASED; urgency=low

  * Initial release.

 -- Richard Holland <holland@eaglegenomics.com>  Fri, 20 Aug 2010 14:46:17 +0200
