=== debian/control ===
Source: ensembl
Section: non-free/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Richard Holland <holland@eaglegenomics.com>, Steffen Moeller <moeller@debian.org>, William Spooner <whs@eaglegenomics.com>, Madhu Donepudi <madhu@eaglegenomics.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Standards-Version: 3.9.2
Homepage: http://www.ensembl.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ensembl/ensembl/62/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ensembl/ensembl/62/

Package: ensembl
Architecture: all
Pre-Depends: debconf
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-mpm-prefork, csh, expat, perl, libcgi-pm-perl, libcgi-session-perl, libdb-file-lock-perl, libdbd-mysql, perl-modules, ensembl-bin, libensembl-core-perl,libensembl-functgenomics-perl,libensembl-compara-perl,libensembl-external-perl,libensembl-variation-perl, tcsh, liblwp-parallel-perl, mysql-server, mysql-client
Recommends: ttf-mscorefonts-installer, acedb-other-dotter, libcgi-ajax-perl, libcache-memcached-perl, libclass-dbi-sweet-perl, libclass-std-perl, libclass-std-utils-perl, libcompress-bzip2-perl, libfile-spec-perl, libdata-uuid-libuuid-perl, libgd-text-perl, libhash-merge-perl, libhtml-parser-perl, liblist-moreutils-perl, liblog-log4perl-perl, libmailtools-perl, libwww-curl-perl, libapache2-mod-perl2, libnumber-format-perl, libgd-gd2-noxpm-perl, libpdf-api2-perl, libsys-hostname-long-perl, libtemplate-plugin-number-format-perl, libxml-dom-perl, libxml-rss-perl, libxml-simple-perl, libbsd-resource-perl, libxml-xpath-perl, libxml-atom-perl, libjson-perl, libclass-data-inheritable-perl, libconfig-inifiles-perl, libdevel-stacktrace-perl, libexception-class-perl, libhtml-template-perl, libimage-size-perl, libio-string-perl, libipc-run-perl, libxml-libxml-perl, libole-storage-lite-perl, libparse-recdescent-perl, libspreadsheet-writeexcel-perl, libmime-types-perl, libmath-bezier-perl, librtf-writer-perl, libbio-das-lite-perl, bioperl1.2.3|bioperl
Suggests: ksh | mksh | pdksh | zsh
Section: non-free/science
Description: basic Ensembl genome browser
 Ensembl is a joint project of the Sanger Center and the European
 Bioinformatics Institute, an outstation of the European Molecular
 Biology Laboratory, (EMBL-EBI) that are sharing a campus in Hinxton
 near Cambridge, UK. It presents the sequence data for the
 yet available complete genomes of many vertebrates and is helped
 by many sister-projects to cover also plants, invertebrates
 and bacteria.
 .
 This package provides a basic installation of Ensembl. It comprises
 a full copy of the public Ensembl website, minus Blast and SSAHA,
 and minus BioMart. It uses UniSearch instead of the engine used on the
 public site for searching by keyword. It connects directly to the public
 databases hosted by the EBI/Sanger.
 .
 This is meant as an easy way to get a basic Ensembl installation
 working on Debian. It can then be customised to local requirements.
 . 
 Note that Ensembl has two odd dependencies: bioperl1.2.3 and
 libparallel-useragent-perl. Those are not required for routine
 browsing, but the bioperl1.2.3 library performs the parsing of BLAST
 outputs. Version 1.2.3 is in conflict with any other existing bioperl
 installation and forces you to effectively downgrade.
 .
 libwww-perl5.808  will conflict with the latest libwww-perl installation
 and thus force a downgrade to 5.808, which will disable many other tools
 on your system. Therefore it is advisable NOT to install this package
 in parallel with any other software, and/or use a virtual machine or
 dedicated machine.
 .
 We will work to try and remove these dependencies and allow Ensembl
 to run fully on an up-do-date machine.
 .
 WARNING: Requires internet connection both to install and to run, as it
 connects to the Sanger/EBI database servers during both installation 
 and at runtime.

Package: libensembl-core-perl
Architecture: all
Depends: ${misc:Depends},bioperl1.2.3|bioperl
Suggests: ksh | mksh | pdksh | zsh, tk
Section: non-free/perl
Description: core libraries of Ensembl API
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 This package provides the core of its API, defining basic concepts
 like biological sequences and that there may be databases from
 which information can be retrieved. If you work with the Ensembl
 API, then you need this package.
 .
 For complete confidence in the functionality of your Ensembl
 installation, version 1.2.3 of BioPerl should be used. There are
 reports that a current version would also be functional, but
 upstream thinks differently here.

Package: libensembl-functgenomics-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for functional genomics with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 Functional genomics is about the investigation of what effects certain
 parts of the genome have across tissues, states of those tissues (like
 hypoxia, temperature changes, growth, ...) and of course in diseases.

Package: libensembl-compara-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for comparative genomics with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 Any creationist please ignore this package, it will not make any sense
 to you. The others will see how genes known in the human can be traced
 back down to the fly (and some developmental genes have for instance
 even been proven to be functional in the fly), or that many genes have
 kept their chromosomal vicinity over millions of years and yet some
 nucleotides as a block remain unchanged while many other neighbouring
 positions have undergone many changes .... maybe those that have not
 changed mean something?

Package: libensembl-external-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for integration of external data sources with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 In a way, this package is the one that is most important for Debian,
 since the integration of previous local data is (besides educational
 purposes) probably the main motivation for the installation of these
 pacakges.

Package: libensembl-variation-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: Ensembl API for investigation of inter-individual genomic differences
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 We humans don't have all the same DNA. We have come to accept that 
 as part of the problem in organ transplantation. Key of genetic research
 is to link variants in the DNA with phenotypes. Of those, insights
 in the molecular pathophysiology are preferred results since those
 are likely to help a better understanding of current treatments
 and may generate ideas for novel drugs at best.

Package: libensembl-draw-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: Ensembl API for graphical representation of genomic properties
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 This package provides a series of routines to help the web server present
 items graphically.

Package: ensembl-bin
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Section: non-free/utils
Description: platform-specific files of Ensembl
 The Ensembl website is mostly implemented in Perl. But just a few
 bits do appear as binaries. Those are gathered in this package.

Package: ensembl-doc
Depends: ${misc:Depends}
Section: non-free/doc
Architecture: all
Description: tutorials and othe documentation for Ensembl
 Several Perl packages of Ensmebl offer a description of their API.
 The compara package offers a tutorial. Also the Ensembl schema
 is distributed with this documentation package.
