=== debian/watch ===
version=3
#http://www.ensembl.org Release\s+(\d+)\s+
opts="passive" \
  ftp://ftp.ensembl.org/pub/release-(\d+)
